package hmggirlfront.entity.npc;

import net.minecraft.util.ResourceLocation;
import net.minecraft.util.SoundEvent;

public class NPCDollAI_Reload {
	public static void load(EntityNPC_Doll doll) {
		if(doll.getRemain_L() <= 0){
			++doll.reload1;
			if(doll.reload1 == doll.reload_time1/2){
				doll.playSound(SoundEvent.REGISTRY.getObject(new ResourceLocation(doll.modid, doll.sound)), 1.0F, 1.0F);
			}
			if(doll.reload1 >= doll.reload_time1){
					doll.setRemain_L(doll.magazine);
				doll.reload1 = 0;
			}
		}
	}
}
